---
title: AudioListener.dopplerFactor
slug: Web/API/AudioListener/dopplerFactor
tags:
  - API
  - Audio
  - AudioListener
  - Deprecated
  - Doppler
  - Doppler Effect
  - Property
  - Reference
  - Web Audio API
  - dopplerFactor
  - effects
---
<div>{{ APIRef("Web Audio API") }}{{deprecated_header}}</div>

<p><span class="seoSummary">The deprecated <code>dopplerFactor</code> property of the {{ domxref("AudioListener") }} interface is a double value representing the amount of pitch shift to use when rendering a <a href="http://en.wikipedia.org/wiki/Doppler_effect">doppler effect</a>.</span></p>

<p>The <code>dopplerFactor</code> property's default value is <code>1</code>, which is a sensible default for most situations.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var audioCtx = new AudioContext();
var myListener = audioCtx.listener;
myListener.dopplerFactor = 1;
</pre>

<h3 id="Value">Value</h3>

<p>A double indicating the doppler effect's pitch shift value. The value is 1 by default.</p>

<h2 id="Example">Example</h2>

<p>{{page("/en-US/docs/Web/API/AudioContext.createPanner","Example")}}</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.AudioListener.dopplerFactor")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
